Bug 1417929 - Radeon R9 270 abysmal performance on kernel 4.9.6
Summary: Radeon R9 270 abysmal performance on kernel 4.9.6
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 12:33 UTC by David Novák
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-12 07:31:47 UTC
Type: Bug


Attachments (Terms of Use)
Complete journalctl output (330.98 KB, text/plain)
2017-01-31 12:33 UTC, David Novák
no flags Details

Description David Novák 2017-01-31 12:33:08 UTC
Created attachment 1246221 [details]
Complete journalctl output

Description of problem:
After updating to kernel 4.9.6, performance of my Radeon (using free radeon driver) dropped drastically. When booting to previous 4.9.5, it works OK.

I've looked to journalctl and found this error:
kernel: [drm:si_dpm_set_power_state [radeon]] *ERROR* si_restrict_performance_levels_before_switch failed

Additional info:
There was also mesa update coming with that kernel update, but I have no idea if that has anything to do with it.

Comment 1 David Novák 2017-02-12 07:31:47 UTC
Got fixed by "itself" with next kernel update.


Note You need to log in before you can comment on or make changes to this bug.